
<?php
/**
 * @author DMT - Development Team
 * @copyright Copyright www.hamvar.com
 * 
 */
 class MAHACODCore extends ObjectModel
 {
    const TABLE = 'mahacod_products';
    const ID ='id_mahacod_products';
    public $name;
    public $id_product;
    public $id_mahacod_product;
   
   
    public static $definition =  array(
        'table' => 'mahacod_products',
        'primary' => 'id_mahacod_products',
        'multilang' => false,
        'fields' => array(
            'name' => array('type'=>self::TYPE_STRING, 'lang' => false, 'validate' => 'isString', 'required' => true),
            'id_product' => array('type'=>self::TYPE_INT, 'lang' => false, 'validate' => 'isInt', 'required' => true),
            'id_mahacod_product' => array('type'=>self::TYPE_INT, 'lang' => false, 'validate' => 'isInt','required'=>true),
            )
    );
    
    public static function getmahaProducts($id_praoduct)
    {
        $sql = 'SELECT `id_mahacod_product` FROM `'._DB_PREFIX_.'mahacod_products` WHERE `id_product`='.(int)$id_praoduct;
        return Db::getInstance(_PS_USE_SQL_SLAVE_)->getValue($sql);
       
        
    }

    public static function setHash($id_cart,$id_customer,$hash)
    {
        $fields = array('id_cart'=>(int)$id_cart,
                        'id_customer'=>(int)$id_customer,
                        'hash' =>pSQL($hash));
        return Db::getInstance()->autoExecuteWithNullValues('mahahash',$fields,'insert');
    }
    
    public static function getHash($id_cart,$id_customer)
    {
        $sql = 'SELECT `hash` FROM `'._DB_PREFIX_.'mahahash` WHERE `id_cart`='.(int)$id_cart.' AND 
                `id_customer`='.(int)$id_customer;
        return Db::getInstance(_PS_USE_SQL_SLAVE_)->getValue($sql);
    }
    
    public static function saveOrder($id_cart,$name,$total,$message)
    
    {
        $fields = array('id_cart'=>$id_cart,
                        'name'=>$name,
                        'message'=>$message,
                        'price'=>$total,
                        );
        return Db::getInstance()->autoExecuteWithNullValues('mahaorder',$fields,'insert');
        
    }
    public static function updatemahaId($id_maha,$id_product)
    {
        $sql ='UPDATE `'._DB_PREFIX_.'mahacod_products` 
                SET `id_mahacod_product`='.(int)$id_maha.' 
                WHERE `id_product`='.(int)$id_product;
        return Db::getInstance()->execute($sql);
    }
    public static function setmahaId($id_maha,$id_product)
    {
        $sql ='INSERT INTO `'._DB_PREFIX_.'mahacod_products` (id_product,id_mahacod_product) 
        VALUES('.(int)$id_product.','.(int)$id_maha.')';
        return Db::getInstance()->execute($sql);
    }
 }